Download it now!
Bug 101672 - UNO command for non-split underline button
Summary: UNO command for non-split underline button
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords: needsDevEval, topicUI
Depends on:
Blocks: UNO-Command-New Toolbars
  Show dependency treegraph
 
Reported: 2016-08-22 19:37 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-02-09 13:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-08-22 19:37:06 UTC
In 5.2, the underline uno command (.uno:Underline) was modified into a split button, but the original non-split button underline uno command was is useful to be used in various locations (e.g. single toolbar mode) where there is limited horizontal space or when the non-split button look is wanted/needed.
Comment 1 Yousuf Philips (jay) (retired) 2016-08-23 18:27:52 UTC
So the changed happened here - https://gerrit.libreoffice.org/#/c/24491/
Comment 2 Commit Notification 2016-08-26 12:06:00 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c73592e38a075242bc90c5cb2119f163defdad25

tdf#101672 non-split underline button

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Yousuf Philips (jay) (retired) 2016-10-23 13:30:29 UTC
Thanks again Maxim.

Non-split currency - https://cgit.freedesktop.org/libreoffice/core/commit/?id=56205276698dc6633d8110f628339bb01ae1fcc3